<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: tivx_meta_format_t Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>tivx_meta_format_t Struct Reference</h1><!-- doxytag: class="tivx_meta_format_t" --><hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>Meta Format object internal state. </p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Structures</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__meta__format__t_1_1__lut.html">_lut</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__meta__format__t_1_1__remap.html">_remap</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__meta__format__t_1_1array.html">array</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__meta__format__t_1_1distribution.html">distribution</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__meta__format__t_1_1image.html">image</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__meta__format__t_1_1matrix.html">matrix</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__meta__format__t_1_1object__array.html">object_array</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__meta__format__t_1_1pyramid.html">pyramid</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__meta__format__t_1_1scalar.html">scalar</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__meta__format__t_1_1threshold.html">threshold</a></td></tr>
<tr><td colspan="2"><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structtivx__reference__t.html">tivx_reference_t</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__meta__format__t.html#ac1b70087cf9e5ff3e7fed6cd8985df1e">base</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">reference object  <a href="#ac1b70087cf9e5ff3e7fed6cd8985df1e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a46d89d47ad9a2de1de723d0db861d324">vx_size</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__meta__format__t.html#aaf9f173a9031c76beccb4d24ab9a07b6">size</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The type of meta data.  <a href="#aaf9f173a9031c76beccb4d24ab9a07b6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__meta__format__t.html#a7f025d0544a3d7c79d5d7ca4801c5a66">type</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a107c762598d0640a0a1fc140f21b1b25">vx_kernel_image_valid_rectangle_f</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__meta__format__t.html#a719eea520f10b8afdf9be9ae4e9e7f25">valid_rect_callback</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">structure containing information about <a class="el" href="structtivx__meta__format__t_1_1image.html">image</a> used when type is set to VX_TYPE_IMAGE  <a href="#a719eea520f10b8afdf9be9ae4e9e7f25"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct <a class="el" href="structtivx__meta__format__t_1_1image.html">tivx_meta_format_t::image</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__meta__format__t.html#a32fefe8828514242a5ee8bf4f59a2a3b">img</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">structure containing information about <a class="el" href="structtivx__meta__format__t_1_1pyramid.html">pyramid</a> used when type is set to VX_TYPE_PYRAMID  <a href="#a32fefe8828514242a5ee8bf4f59a2a3b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct <a class="el" href="structtivx__meta__format__t_1_1pyramid.html">tivx_meta_format_t::pyramid</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__meta__format__t.html#a58226d97cd82ecece9b6b891684ae3de">pmd</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">structure containing information about <a class="el" href="structtivx__meta__format__t_1_1scalar.html">scalar</a> used when type is set to VX_TYPE_SCALAR  <a href="#a58226d97cd82ecece9b6b891684ae3de"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct <a class="el" href="structtivx__meta__format__t_1_1scalar.html">tivx_meta_format_t::scalar</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__meta__format__t.html#a585de3127ed652971c9f7a0b64e79ec3">sc</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">structure containing information about <a class="el" href="structtivx__meta__format__t_1_1array.html">array</a> used when type is set to VX_TYPE_ARRAY  <a href="#a585de3127ed652971c9f7a0b64e79ec3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct <a class="el" href="structtivx__meta__format__t_1_1array.html">tivx_meta_format_t::array</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__meta__format__t.html#a138ee1535b286345acff8a3a014ecc43">arr</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">structure containing information about <a class="el" href="structtivx__meta__format__t_1_1matrix.html">matrix</a> used when type is set to VX_TYPE_MATRIX  <a href="#a138ee1535b286345acff8a3a014ecc43"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct <a class="el" href="structtivx__meta__format__t_1_1matrix.html">tivx_meta_format_t::matrix</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__meta__format__t.html#a88cd649a6af5dc07308c2dbaea2e1e22">mat</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">structure containing information about <a class="el" href="structtivx__meta__format__t_1_1distribution.html">distribution</a> used when type is set to VX_TYPE_DISTRIBUTION  <a href="#a88cd649a6af5dc07308c2dbaea2e1e22"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct <br class="typebreak"/>
<a class="el" href="structtivx__meta__format__t_1_1distribution.html">tivx_meta_format_t::distribution</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__meta__format__t.html#a40941ee8e51b33a6ea42a221300e50fa">dist</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">structure containing information about remap used when type is set to VX_TYPE_REMAP  <a href="#a40941ee8e51b33a6ea42a221300e50fa"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct <a class="el" href="structtivx__meta__format__t_1_1__remap.html">tivx_meta_format_t::_remap</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__meta__format__t.html#a00267be0deb07f2bf7fb653acac1bfa1">remap</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">structure containing information about lut used when type is set to VX_TYPE_LUT  <a href="#a00267be0deb07f2bf7fb653acac1bfa1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct <a class="el" href="structtivx__meta__format__t_1_1__lut.html">tivx_meta_format_t::_lut</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__meta__format__t.html#a1737f6d14ad190cd076b079befc011e7">lut</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">structure containing information about <a class="el" href="structtivx__meta__format__t_1_1threshold.html">threshold</a> used when type is set to VX_TYPE_THRESHOLD  <a href="#a1737f6d14ad190cd076b079befc011e7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct <br class="typebreak"/>
<a class="el" href="structtivx__meta__format__t_1_1threshold.html">tivx_meta_format_t::threshold</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__meta__format__t.html#a4ffaf22cdaa9dee6fa9abb027c539734">thres</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">structure containing information about object <a class="el" href="structtivx__meta__format__t_1_1array.html">array</a> used when type is set to VX_TYPE_OBJECT_ARRAY  <a href="#a4ffaf22cdaa9dee6fa9abb027c539734"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct <br class="typebreak"/>
<a class="el" href="structtivx__meta__format__t_1_1object__array.html">tivx_meta_format_t::object_array</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structtivx__meta__format__t.html#a9791b182518bb9482867125fd80742e9">objarr</a></td></tr>
</table>
<hr/><h2>Field Documentation</h2>
<a class="anchor" id="ac1b70087cf9e5ff3e7fed6cd8985df1e"></a><!-- doxytag: member="tivx_meta_format_t::base" ref="ac1b70087cf9e5ff3e7fed6cd8985df1e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structtivx__reference__t.html">tivx_reference_t</a> <a class="el" href="structtivx__meta__format__t.html#ac1b70087cf9e5ff3e7fed6cd8985df1e">tivx_meta_format_t::base</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>reference object </p>
<p>The size of struct. </p>

</div>
</div>
<a class="anchor" id="aaf9f173a9031c76beccb4d24ab9a07b6"></a><!-- doxytag: member="tivx_meta_format_t::size" ref="aaf9f173a9031c76beccb4d24ab9a07b6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a46d89d47ad9a2de1de723d0db861d324">vx_size</a> <a class="el" href="structtivx__meta__format__t.html#aaf9f173a9031c76beccb4d24ab9a07b6">tivx_meta_format_t::size</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The type of meta data. </p>

</div>
</div>
<a class="anchor" id="a7f025d0544a3d7c79d5d7ca4801c5a66"></a><!-- doxytag: member="tivx_meta_format_t::type" ref="a7f025d0544a3d7c79d5d7ca4801c5a66" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> <a class="el" href="structtivx__meta__format__t.html#a7f025d0544a3d7c79d5d7ca4801c5a66">tivx_meta_format_t::type</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a719eea520f10b8afdf9be9ae4e9e7f25"></a><!-- doxytag: member="tivx_meta_format_t::valid_rect_callback" ref="a719eea520f10b8afdf9be9ae4e9e7f25" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a107c762598d0640a0a1fc140f21b1b25">vx_kernel_image_valid_rectangle_f</a> <a class="el" href="structtivx__meta__format__t.html#a719eea520f10b8afdf9be9ae4e9e7f25">tivx_meta_format_t::valid_rect_callback</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>structure containing information about <a class="el" href="structtivx__meta__format__t_1_1image.html">image</a> used when type is set to VX_TYPE_IMAGE </p>
<p>only valid for <a class="el" href="structtivx__meta__format__t_1_1image.html">image</a> and <a class="el" href="structtivx__meta__format__t_1_1pyramid.html">pyramid</a> type </p>

</div>
</div>
<a class="anchor" id="a32fefe8828514242a5ee8bf4f59a2a3b"></a><!-- doxytag: member="tivx_meta_format_t::img" ref="a32fefe8828514242a5ee8bf4f59a2a3b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">struct <a class="el" href="structtivx__meta__format__t_1_1image.html">tivx_meta_format_t::image</a>  <a class="el" href="structtivx__meta__format__t.html#a32fefe8828514242a5ee8bf4f59a2a3b">tivx_meta_format_t::img</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>structure containing information about <a class="el" href="structtivx__meta__format__t_1_1pyramid.html">pyramid</a> used when type is set to VX_TYPE_PYRAMID </p>

</div>
</div>
<a class="anchor" id="a58226d97cd82ecece9b6b891684ae3de"></a><!-- doxytag: member="tivx_meta_format_t::pmd" ref="a58226d97cd82ecece9b6b891684ae3de" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">struct <a class="el" href="structtivx__meta__format__t_1_1pyramid.html">tivx_meta_format_t::pyramid</a>  <a class="el" href="structtivx__meta__format__t.html#a58226d97cd82ecece9b6b891684ae3de">tivx_meta_format_t::pmd</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>structure containing information about <a class="el" href="structtivx__meta__format__t_1_1scalar.html">scalar</a> used when type is set to VX_TYPE_SCALAR </p>

</div>
</div>
<a class="anchor" id="a585de3127ed652971c9f7a0b64e79ec3"></a><!-- doxytag: member="tivx_meta_format_t::sc" ref="a585de3127ed652971c9f7a0b64e79ec3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">struct <a class="el" href="structtivx__meta__format__t_1_1scalar.html">tivx_meta_format_t::scalar</a>  <a class="el" href="structtivx__meta__format__t.html#a585de3127ed652971c9f7a0b64e79ec3">tivx_meta_format_t::sc</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>structure containing information about <a class="el" href="structtivx__meta__format__t_1_1array.html">array</a> used when type is set to VX_TYPE_ARRAY </p>

</div>
</div>
<a class="anchor" id="a138ee1535b286345acff8a3a014ecc43"></a><!-- doxytag: member="tivx_meta_format_t::arr" ref="a138ee1535b286345acff8a3a014ecc43" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">struct <a class="el" href="structtivx__meta__format__t_1_1array.html">tivx_meta_format_t::array</a>  <a class="el" href="structtivx__meta__format__t.html#a138ee1535b286345acff8a3a014ecc43">tivx_meta_format_t::arr</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>structure containing information about <a class="el" href="structtivx__meta__format__t_1_1matrix.html">matrix</a> used when type is set to VX_TYPE_MATRIX </p>

</div>
</div>
<a class="anchor" id="a88cd649a6af5dc07308c2dbaea2e1e22"></a><!-- doxytag: member="tivx_meta_format_t::mat" ref="a88cd649a6af5dc07308c2dbaea2e1e22" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">struct <a class="el" href="structtivx__meta__format__t_1_1matrix.html">tivx_meta_format_t::matrix</a>  <a class="el" href="structtivx__meta__format__t.html#a88cd649a6af5dc07308c2dbaea2e1e22">tivx_meta_format_t::mat</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>structure containing information about <a class="el" href="structtivx__meta__format__t_1_1distribution.html">distribution</a> used when type is set to VX_TYPE_DISTRIBUTION </p>

</div>
</div>
<a class="anchor" id="a40941ee8e51b33a6ea42a221300e50fa"></a><!-- doxytag: member="tivx_meta_format_t::dist" ref="a40941ee8e51b33a6ea42a221300e50fa" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">struct <a class="el" href="structtivx__meta__format__t_1_1distribution.html">tivx_meta_format_t::distribution</a>  <a class="el" href="structtivx__meta__format__t.html#a40941ee8e51b33a6ea42a221300e50fa">tivx_meta_format_t::dist</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>structure containing information about remap used when type is set to VX_TYPE_REMAP </p>

</div>
</div>
<a class="anchor" id="a00267be0deb07f2bf7fb653acac1bfa1"></a><!-- doxytag: member="tivx_meta_format_t::remap" ref="a00267be0deb07f2bf7fb653acac1bfa1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">struct <a class="el" href="structtivx__meta__format__t_1_1__remap.html">tivx_meta_format_t::_remap</a>  <a class="el" href="structtivx__meta__format__t.html#a00267be0deb07f2bf7fb653acac1bfa1">tivx_meta_format_t::remap</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>structure containing information about lut used when type is set to VX_TYPE_LUT </p>

</div>
</div>
<a class="anchor" id="a1737f6d14ad190cd076b079befc011e7"></a><!-- doxytag: member="tivx_meta_format_t::lut" ref="a1737f6d14ad190cd076b079befc011e7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">struct <a class="el" href="structtivx__meta__format__t_1_1__lut.html">tivx_meta_format_t::_lut</a>  <a class="el" href="structtivx__meta__format__t.html#a1737f6d14ad190cd076b079befc011e7">tivx_meta_format_t::lut</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>structure containing information about <a class="el" href="structtivx__meta__format__t_1_1threshold.html">threshold</a> used when type is set to VX_TYPE_THRESHOLD </p>

</div>
</div>
<a class="anchor" id="a4ffaf22cdaa9dee6fa9abb027c539734"></a><!-- doxytag: member="tivx_meta_format_t::thres" ref="a4ffaf22cdaa9dee6fa9abb027c539734" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">struct <a class="el" href="structtivx__meta__format__t_1_1threshold.html">tivx_meta_format_t::threshold</a>  <a class="el" href="structtivx__meta__format__t.html#a4ffaf22cdaa9dee6fa9abb027c539734">tivx_meta_format_t::thres</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>structure containing information about object <a class="el" href="structtivx__meta__format__t_1_1array.html">array</a> used when type is set to VX_TYPE_OBJECT_ARRAY </p>

</div>
</div>
<a class="anchor" id="a9791b182518bb9482867125fd80742e9"></a><!-- doxytag: member="tivx_meta_format_t::objarr" ref="a9791b182518bb9482867125fd80742e9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">struct <a class="el" href="structtivx__meta__format__t_1_1object__array.html">tivx_meta_format_t::object_array</a>  <a class="el" href="structtivx__meta__format__t.html#a9791b182518bb9482867125fd80742e9">tivx_meta_format_t::objarr</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
